Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreDataStream.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreSharedPtr.h"`
`#include <istream>`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Defines
#define | OGRE_STREAM_TEMP_SIZE 128
## Typedefs
typedef SharedPtr< DataStream > | DataStreamPtr
| Shared pointer to allow data streams to be passed around without worrying about deallocation.
typedef std::list< DataStreamPtr > | DataStreamList
| List of DataStream items.
typedef SharedPtr< DataStreamList > | DataStreamListPtr
| Shared pointer to list of DataStream items.
typedef SharedPtr< MemoryDataStream > | MemoryDataStreamPtr
| Shared pointer to allow memory data streams to be passed around without worrying about deallocation.

## Define Documentation

#define OGRE_STREAM_TEMP_SIZE 128

| Definition at line 65 of file OgreDataStream.h.

## Typedef Documentation

typedef std::list<DataStreamPtr> Ogre::DataStreamList

| List of DataStream items. Definition at line 163 of file OgreDataStream.h.

typedef SharedPtr<DataStreamList> Ogre::DataStreamListPtr

| Shared pointer to list of DataStream items. Definition at line 165 of file OgreDataStream.h.

typedef SharedPtr<DataStream> Ogre::DataStreamPtr

| Shared pointer to allow data streams to be passed around without worrying about deallocation. Definition at line 160 of file OgreDataStream.h.

typedef SharedPtr<MemoryDataStream> Ogre::MemoryDataStreamPtr

| Shared pointer to allow memory data streams to be passed around without worrying about deallocation. Definition at line 317 of file OgreDataStream.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007